Bug 39626 - Store/Restore font dropdown MRU
Summary: Store/Restore font dropdown MRU
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: UI (show other bugs)
Version:
(earliest affected)
unspecified
Hardware: Other All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard: target:4.0.0
Keywords: difficultyBeginner, easyHack, skillCpp, topicUI
Depends on:
Blocks:
 
Reported: 2011-07-28 08:33 UTC by Björn Michaelsen
Modified: 2017-10-19 20:52 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Björn Michaelsen 2011-07-28 08:33:51 UTC
=== Store/Restore font dropdown MRU ===

'''Background:''' When you open a new document, use the font dropdown and select a number of different fonts then the 5 or so most recently used fonts are shown at the top of the list. But when you open a new document then the dropdown resets again. It would be nice to retain the MRU list when opening a new document, and also save and restore the MRU on exit and restart. Code for the dropdown is in svtools/source/control/ctrlbox.cxx, see vcl/unx/source/fontmanager.cxx and "m_aCacheFile" for a sample of the APIs to save/load from/to a file in the users config directories.

'''Skills:''' C++

'''taken by:''' cbosdonnat - 2011-04-15
Comment 1 Caolán McNamara 2011-11-16 03:38:23 UTC
http://cgit.freedesktop.org/libreoffice/core/commit/?id=f82a46dabeb431fc199aa4b43766115184844efe is related, and probably a good place to start. Might just be a matter of bug-fixing rather than work from scratch.
Comment 2 Florian Reisinger 2012-05-18 08:21:05 UTC
Removed EASYHACK from summary
Comment 3 Not Assigned 2012-09-28 11:51:41 UTC
Caolan McNamara committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=e05baffff1446b1d65f0cb84130b060241065da8

Related: fdo#39626 bootstrap.ini is windows-only, use generic mechanism



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 4 Samuel Mehrbrodt (CIB) 2013-10-01 21:10:09 UTC
Fixed. I just verified that the fix works.
Comment 5 Robinson Tryon (qubit) 2015-12-15 22:49:31 UTC
Migrating Whiteboard tags to Keywords: (EasyHack DifficultyBeginner SkillCpp TopicUi )
[NinjaEdit]